//----------------------------------------------------------------------------
#ifndef LogoMainH
#define LogoMainH
//----------------------------------------------------------------------------
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Buttons.hpp>
#include <StdCtrls.hpp>
#include <Dialogs.hpp>
#include <Menus.hpp>
#include <Controls.hpp>
#include <Forms.hpp>
#include <Graphics.hpp>
#include <Classes.hpp>
#include <Windows.hpp>
#include <System.hpp>
//----------------------------------------------------------------------------
class TLogoAppForm : public TForm
{
__published:
    TMainMenu *LogoAppMenu;
	TMenuItem *FileMenu;
	TMenuItem *FileNewItem;
	TMenuItem *FileOpenItem;
	TMenuItem *FileSaveItem;
	TMenuItem *FileSendItem;
	TMenuItem *FileExitItem;
	TOpenDialog *OpenDialog;
	TSaveDialog *SaveDialog;
	TMenuItem *Help1;
	TMenuItem *AboutItem;
	TPanel *SpeedPanel;
	TSpeedButton *OpenBtn;
	TSpeedButton *SaveBtn;
	TSpeedButton *ExitBtn;
	TStatusBar *StatusBar;
	TRichEdit *RichEdit1;
	TSpeedButton *SendBtn;
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall FileExit(TObject *Sender);
	void __fastcall FileNew(TObject *Sender);
	void __fastcall FileOpen(TObject *Sender);
	void __fastcall FileSave(TObject *Sender);
	void __fastcall FileSaveAs(TObject *Sender);
	void __fastcall FileSend(TObject *Sender);
	void __fastcall About(TObject *Sender);
	void __fastcall ShowHint(TObject *Sender);

private:
	AnsiString FFileName;
public:
	virtual __fastcall TLogoAppForm(TComponent *Owner);
};
//----------------------------------------------------------------------------
extern TLogoAppForm *LogoAppForm;
//----------------------------------------------------------------------------
#endif
