/////////////////////////////////////////////////////////////////////////////
// OCXPROXY.H - Proxy class to host OCX in CBuilder's IDE
//
// $Revision:   1.0.1.0  $
// $Date:   31 Jan 1998 14:11:38  $
//
// Copyright (c) 1998 Borland International
/////////////////////////////////////////////////////////////////////////////
#ifndef __OCXPROXY_H
#define __OCXPROXY_H

#include <olectrls.hpp>

class DELPHICLASS TOCXProxy;

class TOCXProxy : public TOleControl
{
public:
  __fastcall virtual TOCXProxy(Classes::TComponent* AOwner) : TOleControl(AOwner)
  {}
  __fastcall TOCXProxy(HWND ParentWindow) : TOleControl(ParentWindow) 
  {}
  __fastcall virtual ~TOCXProxy(void)
  {}

  // Provide PUTREF style setter for standard property types
  // NOTE: These simply invoke the PUT setters
  //
  void __fastcall _SetIUnknownProp(int index, _di_IUnknown const val)
  {
    TOleControl::SetIUnknownProp(index, val);
  }
  void __fastcall _SetIDispatchProp(int index, _di_IDispatch const val)
  {
    TOleControl::SetIDispatchProp(index, val);
  }
  void __fastcall _SetTFontProp(int index, Graphics::TFont* value)
  {
    TOleControl::SetTFontProp(index, value);
  }
  void __fastcall _SetTPictureProp(int index, Graphics::TPicture* value)
  {
    TOleControl::SetTPictureProp(index, value);
  }
};


#endif	//	__OCXPROXY_H
