// ************************************************************************ //
// WARNING                                                                  //
// -------                                                                  //
// The types declared in this file were generated from data read from a     //
// Type Library. If this type library is explicitly or indirectly (via      //
// another type library referring to this type library) re-imported, or the //
// 'Refresh' command of the Type Library Editor activated while editing the //
// Type Library, the contents of this file will be regenerated and all      //
// manual modifications will be lost.                                       //
// ************************************************************************ //

// ************************************************************************ //
#ifndef   __srvr_TLB_h__
#define   __srvr_TLB_h__

#pragma option push -b


#include <sysdefs.h>
#include <utilcls.h>
#include <stdvcl.hpp>
#include <ocxproxy.h>

namespace Srvr_tlb
{

// *********************************************************************//
// HelpString: srvr Library
// Version:    1.0
// *********************************************************************//


// *********************************************************************//
// GUIDS declared in the TypeLibrary. Following prefixes are used:      //
//   Type Libraries     : LIBID_xxxx                                    //
//   CoClasses          : CLSID_xxxx                                    //
//   DISPInterfaces     : DIID_xxxx                                     //
//   Non-DISP interfaces: IID_xxxx                                      //
// *********************************************************************//
DEFINE_GUID(LIBID_srvr, 0x921449E3, 0x8905, 0x11D1, 0xB6, 0x95, 0x00, 0x20, 0xAF, 0x3F, 0x4B, 0x77);
DEFINE_GUID(IID_IEditServer, 0x921449E4, 0x8905, 0x11D1, 0xB6, 0x95, 0x00, 0x20, 0xAF, 0x3F, 0x4B, 0x77);
DEFINE_GUID(CLSID_EditServer, 0x921449E5, 0x8905, 0x11D1, 0xB6, 0x95, 0x00, 0x20, 0xAF, 0x3F, 0x4B, 0x77);

// *********************************************************************//
// Forward declaration of interfaces defined in Type Library            //
// *********************************************************************//
interface IEditServer;

// *********************************************************************//
// Declaration of CoClasses defined in Type Library                     //
// (NOTE: Here we map each CoClass to it's Default Interface            //
// *********************************************************************//
typedef IEditServer EditServer;
// *********************************************************************//
// Interface: IEditServer
// Flags:     (4416) Dual OleAutomation Dispatchable
// GUID:      {921449E4-8905-11D1-B695-0020AF3F4B77}
// *********************************************************************//
interface IEditServer : public IDispatch
{
public:
  virtual HRESULT STDMETHODCALLTYPE Clear(void) = 0; // [1]
  virtual HRESULT STDMETHODCALLTYPE get_EditNum(int* Value/*[out,retval]*/) = 0; // [2]
  virtual HRESULT STDMETHODCALLTYPE set_EditNum(int Value/*[in]*/) = 0; // [2]
  virtual HRESULT STDMETHODCALLTYPE get_EditStr(BSTR* Value/*[out,retval]*/) = 0; // [3]
  virtual HRESULT STDMETHODCALLTYPE set_EditStr(BSTR Value/*[in]*/) = 0; // [3]
  virtual HRESULT STDMETHODCALLTYPE SetThreeStr(BSTR s1/*[in]*/, BSTR s2/*[in]*/, BSTR s3/*[in]*/, 
                                                BSTR* result/*[out,retval]*/) = 0; // [4]
};

// *********************************************************************//
// SmartIntf: TCOMIEditServer
// Interface: IEditServer
// *********************************************************************//
class TCOMIEditServer : public TComInterface<IEditServer>
{
public:
  TCOMIEditServer() {}
  TCOMIEditServer(IEditServer *intf, bool addRef = false) : TComInterface<IEditServer>(intf, addRef) {}
};

// *********************************************************************//
// DispIntf:  IEditServer
// Flags:     (4416) Dual OleAutomation Dispatchable
// GUID:      {921449E4-8905-11D1-B695-0020AF3F4B77}
// *********************************************************************//
class IEditServerDisp : public TAutoDriver<IEditServer>
{
  typedef TDispId<IEditServer> _TDispID;
public:

  IEditServerDisp()
  {}

  IEditServerDisp& operator=(IEditServer *pintf)
  {
    TAutoDriver<IEditServer>::Bind(pintf);
  }

  HRESULT BindDefault(/*Binds to CoClass EditServer*/)
  {
    return OLECHECK(Bind(CLSID_EditServer));
  }

  HRESULT /*[VT_HRESULT:0]*/  Clear()
  {
    static _TDispID _dispid(*this, OLETEXT("Clear"), DISPID(1));
    return OleFunction(_dispid);
  }

  HRESULT /*[VT_HRESULT:0]*/  get_EditNum(int* Value/*[out,retval]*/)
  {
    static _TDispID _dispid(*this, OLETEXT("EditNum"), DISPID(2));
    TAutoArgs<0> _args;
    return OutRetValSetterPtr(Value /*[VT_INT:1]*/, _args, OlePropertyGet(_dispid, _args));
  }

  int get_EditNum(void)
  {
    int Value;
    get_EditNum(&Value);
    return Value;
  }

  HRESULT /*[VT_HRESULT:0]*/  set_EditNum(int Value/*[in]*/)
  {
    static _TDispID _dispid(*this, OLETEXT("EditNum"), DISPID(2));
    TAutoArgs<1> _args;
    _args[1] = Value /*[VT_INT:0]*/;
    return OlePropertyPut(_dispid, _args);
  }

  HRESULT /*[VT_HRESULT:0]*/  get_EditStr(BSTR* Value/*[out,retval]*/)
  {
    static _TDispID _dispid(*this, OLETEXT("EditStr"), DISPID(3));
    TAutoArgs<0> _args;
    return OutRetValSetterPtr(Value /*[VT_BSTR:1]*/, _args, OlePropertyGet(_dispid, _args));
  }

  BSTR get_EditStr(void)
  {
    BSTR Value;
    get_EditStr(&Value);
    return Value;
  }

  HRESULT /*[VT_HRESULT:0]*/  set_EditStr(BSTR Value/*[in]*/)
  {
    static _TDispID _dispid(*this, OLETEXT("EditStr"), DISPID(3));
    TAutoArgs<1> _args;
    _args[1] = Value /*[VT_BSTR:0]*/;
    return OlePropertyPut(_dispid, _args);
  }

  HRESULT /*[VT_HRESULT:0]*/  SetThreeStr(BSTR s1/*[in]*/,BSTR s2/*[in]*/,BSTR s3/*[in]*/,
                                          BSTR* result/*[out,retval]*/)
  {
    static _TDispID _dispid(*this, OLETEXT("SetThreeStr"), DISPID(4));
    TAutoArgs<3> _args;
    _args[1] = s1 /*[VT_BSTR:0]*/;
    _args[2] = s2 /*[VT_BSTR:0]*/;
    _args[3] = s3 /*[VT_BSTR:0]*/;
    return OutRetValSetterPtr(result /*[VT_BSTR:1]*/, _args, OleFunction(_dispid, _args));
  }

  __property int EditNum = {read = get_EditNum, write = set_EditNum};
  __property BSTR EditStr = {read = get_EditStr, write = set_EditStr};
};


// *********************************************************************//
// COCLASS DEFAULT INTERFACE CREATOR
// CoClass  : EditServer
// Interface: TCOMIEditServer
// *********************************************************************//
class CoEditServer : public CoClassCreator
{
public:
  static TCOMIEditServer Create(void);
  static TCOMIEditServer CreateRemote(LPWSTR machineName);

  static HRESULT Create(TCOMIEditServer& defIntfObj);
  static HRESULT CreateRemote(LPWSTR machineName, TCOMIEditServer& defIntfObj);
};

};     // namespace Srvr_tlb

#if !defined(NO_IMPLICIT_NAMESPACE_USE)
using  namespace Srvr_tlb;
#endif

#pragma option pop

#endif // __srvr_TLB_h__
