//----------------------------------------------------------------------------
#ifndef SDIMainH
#define SDIMainH
//----------------------------------------------------------------------------
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Buttons.hpp>
#include <StdCtrls.hpp>
#include <Dialogs.hpp>
#include <Menus.hpp>
#include <Controls.hpp>
#include <Forms.hpp>
#include <Graphics.hpp>
#include <Classes.hpp>
#include <Windows.hpp>
#include <System.hpp>
//----------------------------------------------------------------------------
class TSDIAppForm : public TForm
{
__published:
    TMainMenu *SDIAppMenu;
	TMenuItem *FileMenu;
	TMenuItem *OpenItem;
	TMenuItem *SaveItem;
	TMenuItem *ExitItem;
	TMenuItem *N1;
	TOpenDialog *OpenDialog;
	TSaveDialog *SaveDialog;
	TMenuItem *Help1;
	TMenuItem *About1;
	TPanel *SpeedPanel;
	TSpeedButton *OpenBtn;
	TSpeedButton *SaveBtn;
	TSpeedButton *ExitBtn;
	TStatusBar *StatusBar;
	void __fastcall ShowHint(TObject *Sender);
	void __fastcall ExitItemClick(TObject *Sender);
	void __fastcall OpenItemClick(TObject *Sender);
	void __fastcall SaveItemClick(TObject *Sender);
	void __fastcall About1Click(TObject *Sender);
	void __fastcall FormCreate(TObject *Sender);

private:
public:
	virtual __fastcall TSDIAppForm(TComponent *AOwner);
};
//----------------------------------------------------------------------------
extern TSDIAppForm *SDIAppForm;
//----------------------------------------------------------------------------
#endif
