/*  typeinfo.h

    Definitions for RTTI
*/

/*
 *      C/C++ Run Time Library - Version 9.0
 *
 *      Copyright (c) 1993, 1998 by Borland International
 *      All Rights Reserved.
 *
 */
/* $Revision:   9.8  $ */

#if !defined(__cplusplus)
#error Must use C++ for typeinfo.h
#endif

#ifndef __TYPEINFO_H
#define __TYPEINFO_H

#ifndef ___STDDEF_H
#include <_stddef.h>
#endif

#if !defined(RC_INVOKED)

#if defined(__STDC__)
#pragma warn -nak
#endif

#pragma option  -Vt-                    // make sure vtable pointer is 'low'
#pragma option  -RT

#endif  /* !RC_INVOKED */


#if defined(_BUILDRTLDLL) || defined(_RTLDLL)
#   define _TIDIST   _EXPCLASS
#else
#     define _TIDIST
#endif

class                   tpid;

class   _TIDIST  __rtti type_info
{

public:

        tpid          * tpp;

private:
                __cdecl type_info(const type_info _FAR &);
    type_info &  __cdecl operator=(const type_info _FAR &);

public:

    virtual     __cdecl ~type_info();

    bool        __cdecl operator==(const type_info _FAR &) const;
    bool        __cdecl operator!=(const type_info _FAR &) const;

    bool        __cdecl before(const type_info _FAR &) const;

    const char _FAR *__cdecl name() const;
protected:
                __cdecl type_info(tpid *_tpp) { tpp = _tpp; }
};


class   bad_cast{};
class   bad_typeid{};

#if !defined(__STDC__)
// The following are for backwards compatibility.
typedef type_info  typeinfo;
typedef type_info  Type_info;
typedef bad_cast   Bad_cast;
typedef bad_typeid Bad_typeid;

#pragma obsolete typeinfo
#pragma obsolete Type_info
#pragma obsolete Bad_cast
#pragma obsolete Bad_typeid
#endif

#if !defined(RC_INVOKED)

#pragma option  -RT.
#pragma option  -Vt.

#if defined(__STDC__)
#pragma warn .nak
#endif

#endif  /* !RC_INVOKED */

#endif
