//
// Stub vcl.h in the main INCLUDE dir
//
// This file is simply a redirection header that allows units which include
// vcl.h to work even if the INCLUDE\VCL dir isn't in the INCLUDE path.
//
// This is used mainly by console apps.
//

#ifndef __STUB_VCL_H
#define __STUB_VCL_H

#ifdef _NO_VCL
#  include <condefs.h>
#else
#  include <vcl\vcl.h>
#endif

#endif /* __STUB_VCL_H */
